SDE and Server Version Requirements for Disconnected Editing

1685
6
10-08-2014 11:35 AM
mpboyle
Regular Contributor

Before we start testing out disconnected editing with Collector, I wanted to make sure we have the correct software in place.  What is the minimum required versions of SDE and Server for disconnected editing to function properly?

Thanks in advance!

0 Kudos
6 Replies
JoeFlannery
Regular Contributor II

You will need ArcGIS for Server 10.2.2 or greater.

Take maps offline—Collector for ArcGIS | ArcGIS

0 Kudos
mpboyle
Regular Contributor

What about SDE...? Can that be at 10.2.1, or does it also need to be at 10.2.2?

0 Kudos
JoeFlannery
Regular Contributor II

We use "Direct Connect" to SQL Server 208 R2 rather than ArcSDE.  I am willing to guess that if your feature service from ArcGIS for Server 10.2.2 can connect to and function properly with ArcSDE 10.2.1 or lower then Collector will respect the "Sync" setting in the 10.2.2 feature service properties.

Sync.JPG

0 Kudos
JoeFlannery
Regular Contributor II

Updated...

We are using ArcGIS for Desktop 10.2.1 and do Direct Connect to SQL Server 208 R2.  We publish our maps to ArcGIS for Server 10.2.2.  If your ArcMap 10.x.x can consume SDE layers and publish to Server 10.2.2, I think your good to go. 

0 Kudos
JoeFlannery
Regular Contributor II

See this "Client and Geodatabase Compatility" online help page.

ArcGIS Help (10.2, 10.2.1, and 10.2.2)

0 Kudos
AsrujitSengupta
Regular Contributor III

As per my understanding:

ArcSDE--> 10.2

ArcGIS Server--> 10.2.1

Preparing data for offline use

ArcGIS Help (10.2, 10.2.1, and 10.2.2)

You can publish nonversioned data from a 10.2 or later release enterprise geodatabase, take the data offline for editing, and synchronize changes with the enterprise geodatabase.
0 Kudos